org.apache.commons.compress.harmony.pack200

## Class FileBands

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.BandSet
  - - org.apache.commons.compress.harmony.pack200.FileBands

-     public class FileBands
      extends BandSet

  Bands containing information about files in the pack200 archive and the file contents for non-class-files. Corresponds to the `file_bands` set of bands described in the specification.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `BandSet.BandAnalysisResults, BandSet.BandData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `segmentHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileBands(CpBands cpBands, SegmentHeader segmentHeader, PackingOptions options, org.apache.commons.compress.harmony.pack200.Archive.SegmentUnit segmentUnit, int effort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finaliseBands()` All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.
    `void` | `pack(OutputStream out)` Write the packed set of bands to the given output stream

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `cpEntryListToArray, cpEntryOrNullListToArray, encodeBandInt, encodeFlags, encodeFlags, encodeScalar, encodeScalar, integerListToArray, longListToArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileBands

          public FileBands(CpBands cpBands,
                           SegmentHeader segmentHeader,
                           PackingOptions options,
                           org.apache.commons.compress.harmony.pack200.Archive.SegmentUnit segmentUnit,
                           int effort)

  - ### Method Detail

    - #### finaliseBands

          public void finaliseBands()

      All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.

    - #### pack

          public void pack(OutputStream out)
                    throws IOException,
                           Pack200Exception

      Description copied from class: `BandSet`
      Write the packed set of bands to the given output stream
      Specified by:
        `pack` in class `BandSet`
      Parameters:
        `out` - TODO
      Throws:
        `IOException` - If an I/O error occurs.
        `Pack200Exception` - TODO

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.